#pragma once

#include <States/GameState/Maze/Room.h>

#include <vector>

class Maze : public IDrawable {
public:
    explicit Maze(std::vector<std::unique_ptr<Room>> rooms) : m_rooms(std::move(rooms)) {}
    void draw_into(sf::RenderWindow& window) const override;
private:
    std::vector<std::unique_ptr<Room>> m_rooms;
};