#pragma once
#include <States/GameState/IPreparable.h>
#include <States/GameState/Maze/Room.h>

class IEntity : public IPreparable {
public:
    void set_location(Room* ptr_room) noexcept { m_ptr_room = ptr_room; }
    [[nodiscard]] Room* get_location() const noexcept { return m_ptr_room; }
    ~IEntity() override = default;
protected:
    Room* m_ptr_room = nullptr;
};